For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI ReferenceChangelog
HomeGuidesAPI ReferenceChangelog
  • Quotes API
      • POSTEmail quote
  • Products API
  • Policies API
  • Card Token API
  • Users API
LogoLogo
Quotes APICommunication

Email quote

POST
https://api-staging.nibtravelinsurance.com/quotes/v2/:brandCode/quote/:quoteId/communication
POST
/quotes/v2/:brandCode/quote/:quoteId/communication
$curl -X POST https://api-staging.nibtravelinsurance.com/quotes/v2/nibau/quote/quoteId/communication \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Successful
1{
2 "planId": 1000000,
3 "standardExcess": 1.1,
4 "prices": [
5 {
6 "planId": 1000000,
7 "totalPrice": 1.1,
8 "standardExcess": 1.1,
9 "campaignDiscountPercentage": 1.1,
10 "campaignDiscount": 1.1,
11 "partnerDiscount": 1.1,
12 "basicOptionPrices": [
13 {}
14 ]
15 }
16 ],
17 "basePriceResult": {
18 "planId": 1000000,
19 "netListPrice": 1.1,
20 "saleListPrice": 1.1,
21 "taxComponents": [
22 {}
23 ],
24 "saleListCommission": 1.1,
25 "netCampaignDiscount": 1.1,
26 "saleCampaignDiscount": 1.1,
27 "salePartnerDiscount": 1.1,
28 "priceDetails": [
29 {}
30 ]
31 },
32 "optionPriceResult": [
33 {
34 "optionId": 1000000,
35 "optionTypeCode": "optionTypeCode",
36 "policyHolderGuid": "policyHolderGuid",
37 "netListPrice": 1.1,
38 "netListPriceId": 1000000,
39 "saleListPrice": 1.1,
40 "saleListPriceId": 1000000,
41 "optionCoverageAmount": 1.1,
42 "minNetListPrice": 1.1,
43 "maxNetListPrice": 1.1,
44 "isOptionExplicit": true,
45 "isDefault": true,
46 "maxItemValuePerPolicy": 1.1,
47 "minSaleListPrice": 1.1,
48 "maxSaleListPrice": 1.1,
49 "taxComponents": [
50 {}
51 ],
52 "saleListCommission": 1.1,
53 "netCampaignDiscount": 1.1,
54 "saleCampaignDiscount": 1.1,
55 "salePartnerDiscount": 1.1,
56 "priceDetails": [
57 {}
58 ]
59 }
60 ],
61 "validation": {
62 "isValid": true,
63 "errors": [
64 {}
65 ]
66 }
67}
The endpoint allows quote to be emailed to the customer. Returns An array of available plans for sale based on the request. Parameters are returned as part of the response.
Was this page helpful?
Previous

Generate Interchange token

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

brandCodeenumRequired

A supported NIB Travel brand code, such as “wn”.

Allowed values:
quoteIdstringRequired
The Quote Id is a GUID that was returned from the response of the initial request. The Id identifies the quote saved.

Request

This endpoint expects an object.
emailAddressstringOptional

Customer’s email address to send the quote to.

validationobjectOptional

Response

Success
planIdlongDefaults to 0
standardExcessdouble
priceslist of objects
basePriceResultobject
optionPriceResultlist of objects
validationobject